Bug 1944763 - field level help instances do not use common util component <FieldLevelHelp>
Summary: field level help instances do not use common util component <FieldLevelHelp>
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.8
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.8.0
Assignee: Ankush Behl
QA Contact: Sanjal Katiyar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-30 15:45 UTC by Robb Hamilton
Modified: 2021-07-27 22:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:56:34 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 8690 0 None open Bug 1944763: Fixes tooltips to use common component <FieldLevelHelp> 2021-04-17 11:13:17 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:56:56 UTC

Description Robb Hamilton 2021-03-30 15:45:09 UTC
Description of problem:

* console/frontend/packages/ceph-storage-plugin/src/components/modals/add-capacity-modal/add-capacity-modal.tsx
* console/frontend/packages/ceph-storage-plugin/src/components/modals/advanced-kms-modal/advanced-kms-modal.tsx

use <Tooltip> and <QuestionCircleIcon>, but should use the common util <FieldLevelHelp> for consistency.  Note <FieldLevelHelp> has been updated to use <OutlinedQuestionCircleIcon>.  See https://github.com/openshift/console/pull/8471

Comment 3 Sanjal Katiyar 2021-06-24 09:22:40 UTC
Following files has been updated:
* console/frontend/packages/ceph-storage-plugin/src/components/modals/add-capacity-modal/add-capacity-modal.tsx
* console/frontend/packages/ceph-storage-plugin/src/components/modals/advanced-kms-modal/advanced-kms-modal.tsx
* console/frontend/packages/ceph-storage-plugin/src/components/bucket-class/wizard-pages/general-page.tsx

<Tooltip> and <QuestionCircleIcon> has been replaced by <FieldLevelHelp> and changes are reflected in the UI as expected.

OCP version: 4.8.0-0.nightly-2021-06-13-101614
Moving this to Verified state.

Comment 5 errata-xmlrpc 2021-07-27 22:56:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.